net.sf.okapi.lib.segmentation.opennlp

## Class OkapiSentenceDetectorFactory

- java.lang.Object
- - opennlp.tools.sentdetect.lang.Factory
  - - net.sf.okapi.lib.segmentation.opennlp.OkapiSentenceDetectorFactory

-     public class OkapiSentenceDetectorFactory
      extends opennlp.tools.sentdetect.lang.Factory

- - ### Field Summary

    - ### Fields inherited from class opennlp.tools.sentdetect.lang.Factory

      `defaultEosCharacters, ptEosCharacters, thEosCharacters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiSentenceDetectorFactory(LocaleId locale)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `opennlp.tools.sentdetect.EndOfSentenceScanner` | `createEndOfSentenceScanner(java.lang.String languageCode)`
    `opennlp.tools.sentdetect.SDContextGenerator` | `createSentenceContextGenerator(java.lang.String languageCode)`
    `opennlp.tools.sentdetect.SDContextGenerator` | `createSentenceContextGenerator(java.lang.String languageCode, java.util.Set<java.lang.String> abbreviations)`

    - ### Methods inherited from class opennlp.tools.sentdetect.lang.Factory

      `createEndOfSentenceScanner, createSentenceContextGenerator, getEOSCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiSentenceDetectorFactory

          public OkapiSentenceDetectorFactory(LocaleId locale)

  - ### Method Detail

    - #### createEndOfSentenceScanner

          public opennlp.tools.sentdetect.EndOfSentenceScanner createEndOfSentenceScanner(java.lang.String languageCode)

      Overrides:
        `createEndOfSentenceScanner` in class `opennlp.tools.sentdetect.lang.Factory`

    - #### createSentenceContextGenerator

          public opennlp.tools.sentdetect.SDContextGenerator createSentenceContextGenerator(java.lang.String languageCode,
                                                                                   java.util.Set<java.lang.String> abbreviations)

      Overrides:
        `createSentenceContextGenerator` in class `opennlp.tools.sentdetect.lang.Factory`

    - #### createSentenceContextGenerator

          public opennlp.tools.sentdetect.SDContextGenerator createSentenceContextGenerator(java.lang.String languageCode)

      Overrides:
        `createSentenceContextGenerator` in class `opennlp.tools.sentdetect.lang.Factory`